<div class="hearts"></div>
<script>
  $( document ).ready(function() {
    var _audioPlayer = parent.document.getElementById("playerFrame");
    if (!_audioPlayer && !window.location.pathname.startsWith("/nav")) {
      window.location = '/nav' + window.location.pathname + window.location.search;
    }

    function distinct(array) {
      var n = {},r=[];
      for(var i = 0; i < array.length; i++)
      {
        if (!n[array[i]])
        {
          n[array[i]] = true;
          r.push(array[i]);
        }
      }
      return r;
    }


    $(document).on('click', '.play-list', function() {
      var items = $(this).attr('items');
      if (!items) {
        var target = $("#" + $(this).attr('target'));
        var all = target.find('.audio-track').map(function(i, e){return ($(e).attr('licenseAddress'))}).get()
        items = distinct(all).join();
      }

      var shuffle = $(this).attr('shuffle') === "true";
      console.log("Playing list: " + items);
      var _audioPlayer = parent.document.getElementById("playerFrame").contentWindow.audioPlayer;
      _audioPlayer.setShuffle(shuffle);
      _audioPlayer.playList(items.split(","));
    })

    $(document).on('click', '.audio-track', function() {
      var _audioPlayer = parent.document.getElementById("playerFrame").contentWindow.audioPlayer;
      _audioPlayer.queueTrack($(this).attr("licenseAddress"), true);
    });

    $(document).on('click', '.queue-audio-track', function() {
      var _audioPlayer = parent.document.getElementById("playerFrame").contentWindow.audioPlayer;
      _audioPlayer.queueTrack($(this).attr("licenseAddress"), false);
    });

    $(document).on('click', '.audio-pause', function() {
      var _audioPlayer = parent.document.getElementById("playerFrame").contentWindow.audioPlayer;
      _audioPlayer.pause();
    });

    $(document).on('click', '.playlist-item', function() {
      console.log("clicked on playlist-item");
      var idx = parseInt($(this).attr('idx'));
      var _audioPlayer = parent.document.getElementById("playerFrame").contentWindow.audioPlayer;
      if (idx === _audioPlayer.currentIdx) {
        _audioPlayer.togglePlayState();
      }
      else {
        _audioPlayer.jumpToIndex(idx);
      }
    });
  });
</script>